Bug 1698102 - Print a warning message to engine-setup, which highlights that other clusters than the Default one are not modified to use ovirt-provider-ovn as the default network provider
Summary: Print a warning message to engine-setup, which highlights that other clusters...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.8
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ovirt-4.4.1
: ---
Assignee: eraviv
QA Contact: Michael Burman
Rolfe Dlugy-Hegwer
URL:
Whiteboard:
Depends On:
Blocks: 1709871
TreeView+ depends on / blocked
 
Reported: 2019-04-09 15:58 UTC by Marian Jankular
Modified: 2020-08-04 13:19 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, engine-setup did not provide enough information about configuring ovirt-provider-ovn. The current release fixes this issue by providing more information in the engine-setup prompt and documentation that helps users understand their choice and follow up actions.
Clone Of:
: 1709871 (view as bug list)
Environment:
Last Closed: 2020-08-04 13:17:36 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:19:18 UTC
oVirt gerrit 108086 0 master MERGED setup: ovirt provider ovn - add effectiveness warning 2020-05-10 08:04:41 UTC
oVirt gerrit 108137 0 master MERGED setup: ovirt provider ovn - add configuration warning 2020-05-10 08:04:41 UTC
oVirt gerrit 108389 0 master MERGED setup: ovirt provider ovn - fix configuration warning 2020-05-10 08:04:41 UTC
oVirt gerrit 108456 0 master ABANDONED Revert "support restoring from pg10.x to 12.x" 2020-05-10 08:04:41 UTC

Description Marian Jankular 2019-04-09 15:58:45 UTC
Description of problem:


Version-Release number of selected component (if applicable):
rhv 4.2.8

How reproducible:
everytime

Steps to Reproduce:
1. run engine setup and do not configure ovirt-ovn-provider
2. add host, storage
3. run engine-setup --reconfigure-optional-components and configure ovirt-ovn-provider
4, create network provided by ovirt-ovn-provider
5, create vm with ovn network and try to boot

Actual results:
vm will fail with error below:
VM test-ovn is down with error. Exit message: Hook Error: ('',).

Expected results:
ovn services will be started on the hosts, br-int interface will be created and vm will be able to boot

Additional info:
removing and re-adding hosts workaround the issue

Comment 1 Michael Burman 2019-04-10 07:28:57 UTC
If the cluster has no 'external network provider' enabled this is expected and won't work. The default is no provider, so if customer didn't changed it is expected. 
In order to this to work you need:
1. Enable ovn provider on the cluster level
2. Remove and hosts again so all relevant ovn configuration and tunneling will applied on the host. 

If this is the case this should be closed as not a bug.

Comment 2 Marian Jankular 2019-04-24 13:40:01 UTC
sorry for late response,

I thought once customer runs engine-setup with "--reconfigure-optional-components" and he enables ovirt-ovn-provider engine will instruct host to create br-int interface, if not we should at least warn him either in the setup or at least in documentation that he enabled it in engine however to push this to host he needs to remove and add the host again, what do you think?

Comment 3 Miguel Duarte Barroso 2019-04-24 14:18:21 UTC
(In reply to Marian Jankular, comment#2)

I definitely agree that the current behavior is not obvious, and there's room for improvement on our docs; I think updating the documentation would suffice.

Comment 4 Dominik Holler 2019-04-30 13:48:54 UTC
Marian, do you think the following two suggestions would be helpful:

1. We will add a sentence to
 https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.3-beta/html-single/administration_guide/index#Adding_OVN_as_an_External_Network_Provider
 which highlights that other clusters than the Default one are not modified to use ovirt-provider-ovn as the default network provider and ovn will not work for this reason.

2. Print a warning message to engine-setup, which highlights that other clusters than the Default one are not modified to use ovirt-provider-ovn as the default network provider and ovn will not work for this reason.

Comment 5 Marian Jankular 2019-05-02 12:20:44 UTC
Hi Dominik,

I think that should be enough.

Thank you in advance.

Comment 6 Dominik Holler 2019-05-07 12:22:29 UTC
(In reply to Dominik Holler from comment #4)
> Marian, do you think the following two suggestions would be helpful:
> 
> 1. We will add a sentence to
>  https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.3-
> beta/html-single/administration_guide/
> index#Adding_OVN_as_an_External_Network_Provider
>  which highlights that other clusters than the Default one are not modified
> to use ovirt-provider-ovn as the default network provider and ovn will not
> work for this reason.
> 

Didi, is adding a warning to the output of engine-setup acceptable for you?

Comment 7 Yedidyah Bar David 2019-05-14 09:34:30 UTC
Fine for me, but imo we should only do this if there actually are other clusters - otherwise, it will be confusing. Or, make it a info/note (not warning) and write the text so that it's clear that this is the case, if it's indeed so, also for clusters to be created in the future. Also, it wasn't clear from previous comments if it does work automatically for cluster 'Default' (and VMs already created on it prior to the latter engine-setup). Is it so? If not, we should again clarify this in the text.

Comment 8 Yedidyah Bar David 2020-03-26 06:56:20 UTC
1. If it's just a new warning, almost no-one will notice, IMO.

2. If it's important enough, we should prompt:

    Configure ovirt-provider-ovn (Yes, No) [Yes]: yes
    
    Please note that only the cluster 'Default' is configured to use it. Press Enter to continue.

3. If we do not want to prompt, perhaps just change the text asking whether to configure ovn. E.g.:

    Configure ovirt-provider-ovn? Please note that if you do, only the cluster 'Default' is configured to use it (Yes, No) [Yes]:

Comment 9 eraviv 2020-03-31 19:16:34 UTC
Michael,

Please document what message + behaviour you would like in this flow.

Thanks

Comment 10 Michael Burman 2020-04-01 07:25:16 UTC
(In reply to eraviv from comment #9)
> Michael,
> 
> Please document what message + behaviour you would like in this flow.
> 
> Thanks

HI Eitan,
Currently i find the message confusing and user may think that the default cluster is the only cluster that works with OVN.
The message should improved and include that other clusters can be set with OVN after installation or something like that. 
When i read it now, i understand that the default cluster is the only one who effective with OVN..

Comment 11 Michael Burman 2020-04-12 10:03:48 UTC
This can be moved to ON_QA

Comment 12 Michael Burman 2020-04-12 10:16:36 UTC
Verified on - rhvm-4.4.0-0.32.master.el8ev.noarch


Configure ovirt-provider-ovn and set the Default cluster's default network provider to ovirt-provider-ovn (non-Default clusters may be configured with an OVN provider after installation) (Yes, No) [Yes]:

Comment 15 errata-xmlrpc 2020-08-04 13:17:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.